Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.decisiontree
Class Data

    java.lang.Object
      com.ibm.able.beans.decisiontree.Data

All Implemented Interfaces:
  java.io.Serializable

public class Data
extends java.lang.Object
implements java.io.Serializable

class Data

See Also:
  Serialized Form

Constructor Summary
`Data()` constructor

Method Summary
`void` | `allocateSpace()` allocateSpace
`short` | `getNoReals()`
`void` | `print()` print
`protected void` | `readClassNames(java.io.ByteArrayInputStream b)` readClassNames
`void` | `readExamples(java.lang.String file, java.lang.String type)` readExamples
`protected void` | `readFeatNames(java.io.ByteArrayInputStream b)` readFeatNames
`void` | `readInfo(java.lang.String file)` readInfo
`protected void` | `readVectors(java.io.ByteArrayInputStream b, float[][] valsReal, short[][] valsNominal, short[] valsClass)` readVectors
`void` | `setCountNominal(short[] newCountNominal)`
`void` | `setNamesClass(java.lang.String[] newNamesClass)`
`void` | `setNamesNominal(java.lang.String[] newNamesNominal)`
`void` | `setNamesReal(java.lang.String[] newNamesReal)`
`void` | `setNamesValsNominal(java.lang.String[][] newNamesValsNominal)`
`void` | `setNoClasses(short newNoClasses)`
`void` | `setNoFeats(short newNoFeats)`
`void` | `setNoNominals(short newNoNominals)`
`void` | `setNoReals(short newNoReals)`
`void` | `setNoTestExamples(int newNoTestExamples)`
`void` | `setNoTrainExamples(int newNoTrainExamples)`
`void` | `setTypeFeat(char[] newTypeFeat)` settors
`void` | `setValsTestClass(short[] newValsTestClass)`
`void` | `setValsTestNominal(short[][] newValsTestNominal)`
`void` | `setValsTestReal(float[][] newValsTestReal)`
`void` | `setValsTrainClass(short[] newValsTrainClass)`
`void` | `setValsTrainNominal(short[][] newValsTrainNominal)`
`void` | `setValsTrainReal(float[][] newValsTrainReal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Data

    public Data()

  constructor

Method Detail

### allocateSpace

    public void allocateSpace()

  allocateSpace

### setTypeFeat

    public void setTypeFeat(char[] newTypeFeat)

  settors

### setNoTrainExamples

    public void setNoTrainExamples(int newNoTrainExamples)

### setNoTestExamples

    public void setNoTestExamples(int newNoTestExamples)

### setNoClasses

    public void setNoClasses(short newNoClasses)

### setNoFeats

    public void setNoFeats(short newNoFeats)

### setNoNominals

    public void setNoNominals(short newNoNominals)

### setNoReals

    public void setNoReals(short newNoReals)

### getNoReals

    public short getNoReals()

### setNamesClass

    public void setNamesClass(java.lang.String[] newNamesClass)

### setNamesNominal

    public void setNamesNominal(java.lang.String[] newNamesNominal)

### setNamesReal

    public void setNamesReal(java.lang.String[] newNamesReal)

### setCountNominal

    public void setCountNominal(short[] newCountNominal)

### setNamesValsNominal

    public void setNamesValsNominal(java.lang.String[][] newNamesValsNominal)

### setValsTrainClass

    public void setValsTrainClass(short[] newValsTrainClass)

### setValsTrainNominal

    public void setValsTrainNominal(short[][] newValsTrainNominal)

### setValsTrainReal

    public void setValsTrainReal(float[][] newValsTrainReal)

### setValsTestClass

    public void setValsTestClass(short[] newValsTestClass)

### setValsTestNominal

    public void setValsTestNominal(short[][] newValsTestNominal)

### setValsTestReal

    public void setValsTestReal(float[][] newValsTestReal)

### readInfo

    public void readInfo(java.lang.String file)

  readInfo

### readClassNames

    protected void readClassNames(java.io.ByteArrayInputStream b)

  readClassNames

### readFeatNames

    protected void readFeatNames(java.io.ByteArrayInputStream b)
                          throws AbleDataException

  readFeatNames

  Throws:
    `AbleDataException`

### readExamples

    public void readExamples(java.lang.String file,
                             java.lang.String type)
                      throws AbleException

  readExamples

  Throws:
    `AbleException`

### readVectors

    protected void readVectors(java.io.ByteArrayInputStream b,
                               float[][] valsReal,
                               short[][] valsNominal,
                               short[] valsClass)

  readVectors

### print

    public void print()

  print

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005